curl --request POST \
--url https://api.akua.dev/v1/dashboards/{id}/revisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--header 'if-match: <if-match>' \
--data '
{
"name": "<string>",
"description": "<string>",
"filter_definitions": [
{
"kind": "time",
"key": "time",
"label": "<string>"
}
],
"default_filter_values": {},
"widgets": [
{
"col_span": 1,
"drill_down": "<string>",
"visualization_options": {},
"freshness_policy": {
"mode": "provider_default"
},
"widget_type": "snippet",
"snippet_id": "<string>",
"input_bindings": {},
"refresh_policy": {
"mode": "on_load"
},
"widget_id": "<string>",
"title": "<string>"
}
],
"summary": "<string>"
}
'import requests
url = "https://api.akua.dev/v1/dashboards/{id}/revisions"
payload = {
"name": "<string>",
"description": "<string>",
"filter_definitions": [
{
"kind": "time",
"key": "time",
"label": "<string>"
}
],
"default_filter_values": {},
"widgets": [
{
"col_span": 1,
"drill_down": "<string>",
"visualization_options": {},
"freshness_policy": { "mode": "provider_default" },
"widget_type": "snippet",
"snippet_id": "<string>",
"input_bindings": {},
"refresh_policy": { "mode": "on_load" },
"widget_id": "<string>",
"title": "<string>"
}
],
"summary": "<string>"
}
headers = {
"if-match": "<if-match>",
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'if-match': '<if-match>',
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
filter_definitions: [{kind: 'time', key: 'time', label: '<string>'}],
default_filter_values: {},
widgets: [
{
col_span: 1,
drill_down: '<string>',
visualization_options: {},
freshness_policy: {mode: 'provider_default'},
widget_type: 'snippet',
snippet_id: '<string>',
input_bindings: {},
refresh_policy: {mode: 'on_load'},
widget_id: '<string>',
title: '<string>'
}
],
summary: '<string>'
})
};
fetch('https://api.akua.dev/v1/dashboards/{id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"dashboard_id": "<string>",
"workspace_id": "<string>",
"parent_revision_id": "<string>",
"restored_from_revision_id": "<string>",
"author_id": "<string>",
"summary": "<string>",
"name": "<string>",
"description": "<string>",
"filter_definitions": [
{
"kind": "time",
"key": "time",
"label": "<string>"
}
],
"default_filter_values": {},
"widgets": [
{
"widget_id": "<string>",
"position": 1,
"title": "<string>",
"col_span": 1,
"drill_down": "<string>",
"visualization_options": {},
"freshness_policy": {
"mode": "provider_default"
},
"widget_type": "snippet",
"snippet_id": "<string>",
"snippet_etag": "<string>",
"input_bindings": {},
"refresh_policy": {
"mode": "on_load"
}
}
],
"structural_diff": {
"version": 1,
"dashboard_fields": [],
"widgets": {
"added": {
"count": 1,
"widget_ids": [
"<string>"
]
},
"removed": {
"count": 1,
"widget_ids": [
"<string>"
]
},
"changed": {
"count": 1,
"widgets": [
{
"widget_id": "<string>",
"fields": []
}
]
}
}
},
"snippet_etag_drift": [
{
"widget_id": "<string>",
"snippet_id": "<string>",
"snapshot_etag": "<string>",
"current_etag": "<string>"
}
],
"created_at": 1,
"dashboard_etag": "<string>"
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Create dashboard revision
Atomically saves and activates a complete ordered dashboard snapshot as one immutable revision.
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
The etag of the resource version the client last read. Required on writes when the resource exposes an etag field. Mismatch returns 409 ABORTED with the current etag in the error metadata.
1 - 256"42"
Required caller-supplied idempotency key. Any non-empty key up to 64 characters is accepted. Endpoint-specific documentation describes how the key is used.
1 - 64"create-prod-2026-05-07"
Path Parameters
1 - 55Body
1 - 10050024- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Show child attributes
Show child attributes
24- Option 1
- Option 2
Show child attributes
Show child attributes
500Response
Dashboard revision created and activated
1 - 551 - 551 - 531 - 551 - 55manual, automatic, restore, reset, backfill workspace_overview, custom 24- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix timestamp (seconds)
x >= 0